<?php

class IndexController extends Zend_Controller_Action
{

    public function init()
    {
        /* Initialize action controller here */
    }

    public function indexAction()
    {
    	$form = new Zend_Form();
    	$form->setMethod("GET");
    	$form->setName("TheForm");
		$form->addElement('text', 'Imie', array(
			'label'			=> 'Imie',
			'style'			=> 'width: 370px;',
			'required'		=> true,
			'filters'		=> array('StringTrim','StripTags'),
//			'validators'	=> array(
//				array('validator' => 'Alnum'),
//				array('validator' => 'StringLength', 'options' => array(0, 80))
//			)
			'decorators'=>array(array('ViewHelper'),array('Label'),array('Errors'),array('HtmlTag',array("tag"=>"div"))),
		));

		$form->addElement('text', 'Nazwisko', array(
			'label'			=> 'Nazwisko:',
			'required'		=> true,
			'filters'		=> array('StringTrim','StripTags'),
//			'validators'	=> array(
//				array('validator' => 'Alnum'),
//				array('validator' => 'StringLength', 'options' => array(0, 80))
//			)
			'decorators'=>array(array('ViewHelper'),array('Label'),array('Errors'),array('HtmlTag',array("tag"=>"div"))),
		));

		$form->addElement('captcha', 'Captcha', array(
			'label'		=> 'Przepisz poprawnie:',
			'required'	=> true,
			'captcha'	=> array(
				'captcha' => 'Image',
				'imgUrl'  => '/zf/FormSample2/public/images/captcha/',
				'font'    => 'images/arial.ttf',
				'wordLen' => 5,
				'timeout' => 300,
			),
			));

		$form->addElement('submit', 'submit', array(
			'ignore'	=> true,
			'label'		=> 'Zapisz',
		));
		
		$form->populate($this->_request->getParams());
		
		$alnum = new Zend_Validate_Alnum();
		if ( !$alnum->isValid($form->Imie->getValue()) )
			$form->Imie->addError("Imie ma byc z literek");

		if ( !$alnum->isValid($form->Nazwisko->getValue()) )
			$form->Imie->addError("Nazwisko ma byc z literek");

		$this->view->form = $form;
    }
}

